body{
    margin:0;
    font-family: arial;
    background-color:rgb(30,30,30);
    font-family: "Outfit", sans-serif;
}

/* Dark Mode Styles */
@media (prefers-color-scheme: dark) {
    body {
        background-color:rgb(35,35,35);
        color: white;
        background-image: url("/assets/images/background3.png");
        background-repeat: no-repeat;
        background-attachment: fixed;
        background-position: center;
    }

    #breadcrumb-plate{
        color:white;
    }

    .breadcrumb-item a {
        color:white;
    }

    #content{
        color:white;
    }

    #front-banner p{
        color:rgb(210,210,210);
    }

    #resturant-picture{
        box-shadow:rgba(0,0,0,0.6) 0px 5px 10px;
    }

    #second-banner{
        background-color:rgba(5,5,5,0.6);
        backdrop-filter: blur(5px);
        box-shadow:rgba(0,0,0,0.6) 0px 5px 10px;
    }

    #current-until{
        color:rgb(210,210,210);
    }

    .menu-item{
        background-color:rgba(5,5,5,0.6);
        backdrop-filter: blur(5px);
        box-shadow:rgba(0,0,0,0.6) 0px 5px 10px;
    }

    .menu-item:hover{
        background-color:rgb(40,40,40);
    }

    .menu-item p{
        color:rgb(210,210,210);
    }

    #pricetag{
        color:white;
    }
}

/* Light Mode Styles (if explicitly needed) */
@media (prefers-color-scheme: light) {
    body {
        background-color: rgb(250,250,250);
        color: black;
    }

    #breadcrumb-plate{
        color:black;
    }

    .breadcrumb-item a {
        color:black;
    }

    #content{
        color:black;
    }

    #resturant-picture{
        box-shadow:rgb(150,150,150) 3px 3px 3px;
    }

    #front-banner p{
        color:rgb(100,100,100);
    }

    #contact{
        box-shadow:rgb(150,150,150) 0px 0px 2px;
    }

    #second-banner{
        background-color:rgb(255,255,255);
        box-shadow:rgb(150,150,150) 0px 0px 2px;
    }

    #current-until{
        color:rgb(100,100,100);
    }

    #current-state{
        text-shadow:rgb(0,0,0) 1px 1px 1px;
    }

    .menu-item{
        background-color:rgb(255,255,255);
        box-shadow:rgb(150,150,150) 0px 0px 2px;
    }

    .menu-item:hover{
        background-color:rgb(240,240,240);
    }

    .menu-item p{
        color:rgb(100,100,100);
    }

    #pricetag{
        color:black;
    }
}

#breadcrumb-plate{
    position:absolute;
    top:75px;
    width:100%;
    max-width:1200px;
    transform: translate(-50%,0);
    left:50%;
}

.breadcrumb {
    display: flex;
    flex-wrap: nowrap;
    list-style: none;
    padding: 0;
    margin: 10px;
    margin-top:0;
    background: none;
    cursor:default;
}

.breadcrumb li {
    margin-right:5px;
}

.breadcrumb-item:hover {
    text-decoration: underline;
}

.breadcrumb-item-arrow {
    font-size:10px;
    line-height:19px;
}

.breadcrumb-item a {
    text-decoration: none;
    cursor:pointer;
}

#content{
    width:1200px;
    transform: translate(-50%,0);
    position: relative;
    top:110px;
    left:50%;
    max-width:calc(100% - 5px);
    min-height: calc(100vh - 200px);
    margin-bottom:200px;
}

#front-banner{
    width:100%;
}

#resturant-picture{
    width:100%;
    max-height:220px;
    object-fit: cover;
    border-radius:10px;
}

#resturant-logo{
    max-height:120px;
    object-fit: cover;
    border-radius:10px;
    margin:10px 10px 20px 0px;
    float:left;
}

#front-banner h1{
    font-size:42px;
    margin-top:10px;
    margin-bottom:0;
    white-space: normal;
    word-wrap: break-word;
    overflow: hidden;
    text-overflow: ellipsis;
}

#front-banner p{
    margin:0;
    max-width:70%;
}

#contact{
    position:absolute;
    right:0;
    top:270px;
    height:28px;
    background-color:white;
    color:#ff4131;
    border-radius:8px;
    border:solid #43bbff 5px;
    padding:10px;
    padding-left:30px;
}

#contact_icon{
    height:77.5px;
    position:absolute;
    transform:translate(-50%,-50%);
    top:50%;
    left:0px;
}

#contact a{
    text-decoration: none;
    overflow:none;
}

#contact h2{
    line-height:28px;
    font-size:32px;
    margin:0;
    float:right;
    margin-left:10px;
    font-family:Impact;
}

#contact:hover h2{
   text-decoration: underline;
}

#second-banner{
    margin-top:20px;
    border-radius:10px;
    width:100%;
    overflow:hidden;
    display:flex;
    flex-wrap: nowrap;
    height:245px;
}

#map{
    width:35%;
    height:245px;
}

#adress{
    text-align:center;
    width:20%;
    min-width:150px;
}

#status{
    text-align:center;
    width:25%;
}

#current-state{
    margin-bottom:0;
    margin-top:-5px;
    font-size:32px;
}

#current-until{
    margin-top:5px;
}  

#opening{
    text-align:center;
    width:15%;
    margin-left:2.5%;
}

#opening-table{
    margin-top:-20px;
    width:100%;
}

#days{
    margin-top:7.5px;
    margin-bottom:0;
    float:left;
}

.hours{
    margin-top:7.5px;
    margin-bottom:0;
    float:right;
}

.title{
    margin-bottom:50px;
}

#menu-plate{
    margin-top:20px;
    width:100%;
    display:flex;
    flex-wrap: wrap;
    margin-bottom:100px;
}

.menu-class{
    width:calc(50% - 10px);
    display:inline-block;
    border-radius:10px;
    margin-bottom:10px;
}

.menu-class:nth-child(even) {
    margin-left:20px;
  }

.menu-item{
    width:calc(100% - 20px);
    height:110px;
    border-radius:10px;
    padding:10px;
    margin-bottom:15px;
    overflow:hidden;
}

.menu-item:hover{
    cursor:default
}

.menu-item p{
    max-width:95%;
    margin:0;
}

.menu-item h3{
    margin:0;
}

#pricetag{
    margin-top:5px;
    margin-bottom:5px;
}

.menu-item img{
    height:calc(100% + 20px);
    max-width:25%;
    object-fit: cover;
    float:left;
    margin:-10px;
    margin-right:10px;
}

#phone-button{
    display:none;
}

.flexdiv{
    position:relative;
    margin-right:100px;
    margin-bottom:10px;
    max-width:calc(100% - 50px);
}

@media (max-width: 1080px) {
    #resturant-picture{
        border-radius:0px;
    }
    
    #contact{
        display:none;
    }

    #front-banner p{
        max-width:100%;
        text-align: center;
    }

    #front-banner h1{
        text-align: center;
    }

    #resturant-logo{
        display:none;
    }

    #second-banner{
        flex-wrap: wrap;
        height:auto;
        border-radius:10px;
        width:calc(100% - 10px);
        margin-left:5px;
    }

    .title{
        margin-bottom:10px;
    }

    #map{
        display:none;
        position:fixed;
        width:100%;
        height:calc(100vh - 120px);
        top:0;
        left:0;
        z-index:500;
    }

    #adress{
        width:50%;
    }

    #status{
        width:50%;
    }

    #opening{
        width:100%;
        max-width:200px;
        min-width:200px;
        margin-left:50%;
        transform:translate(-50%,0);
        margin-bottom:10px;
    }

    .menu-class{
        width:100%;
        display:inline-block;
        border-radius:10px;
        margin-bottom:10px;
    }

    .menu-class h2{
        text-align:center;
    }

    .menu-item{
        width:calc(100% - 30px);
        margin-left:5px;
        height:110px;
        border-radius:10px;
        padding:10px;
        margin-bottom:15px;
        overflow:hidden;
    }

    .menu-class:nth-child(even) {
        margin-left:0px;
    }

    .menu-item img{
        height:calc(100% + 20px);
        max-width:40%;
        object-fit: cover;
        float:left;
        margin:-10px;
        margin-right:10px;
    }

    #phone-button{
        position: fixed;
        bottom:0;
        height:60px;
        display:flex;
        width:100%;
        font-size:18px;
    }

    #phone-map{
        width:calc(50% - 1px);
        height:60px;
        background-color:#43bbff;
        text-align:center;
        line-height: 60px;
        border-right:2px solid white;
        color:white;
    }

    #phone-map:hover{
        background-color:rgb(77, 197, 255);
        text-decoration: underline;
        cursor:pointer;
    }

    #phone-call{
        width:100%;
        height:60px;
        background-color:#ff4131;
        text-align:center;
        line-height: 60px;
    }

    #phone-call:hover{
        background-color:rgb(255, 75, 59);
        text-decoration: underline;
    }
    
    #phone-button a{
        text-decoration: none;
        color:white;
        width:calc(50% - 1px);
    }
}
